package kr.co.vividnext.sodalive.can.charge.event

import kr.co.vividnext.sodalive.member.Member
import org.springframework.context.event.EventListener
import org.springframework.scheduling.annotation.Async
import org.springframework.stereotype.Component

class ChargeSpringEvent(
    val chargeId: Long,
    val member: Member
)

@Component
class ChargeSpringEventListener(
    private val chargeEventService: ChargeEventService
) {
    @Async
    @EventListener
    fun applyChargeEvent(event: ChargeSpringEvent) {
        chargeEventService.applyChargeEvent(event.chargeId, event.member.id!!)
    }
}
